package com.jeeplus.modules.sg.managementcenter.privilegePre.entity;

import com.jeeplus.core.persistence.DataEntity;

public class PrivilegePre extends DataEntity<PrivilegePre> {
    private String id;
    private String uid;
    private String pid;
    private String name;
    private String oneKey;
    private int oneVersion;

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOneKey() {
        return oneKey;
    }

    public void setOneKey(String oneKey) {
        this.oneKey = oneKey;
    }

    public int getOneVersion() {
        return oneVersion;
    }

    public void setOneVersion(int oneVersion) {
        this.oneVersion = oneVersion;
    }
}
